@import url(http://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700);

@keyframes expanding_circle {
  0% {
	top: 50%;
	left: 50%;
    width: 0px;
	height: 0px;
	opacity: .5;
  }
  95% {
	top: calc(50% - 150px);
	left: calc(50% - 150px);
	width: 300px;
	height: 300px;
	opacity: 0;
  }
  100% {
	top: 50%;
	left: 50%;
    width: 0px;
	height: 0px;
	opacity: 0;
  }
}

@keyframes smaller_expanding_circle {
  0% {
	top: 50%;
	left: 50%;
    width: 0px;
	height: 0px;
	opacity: .5;
  }
  95% {
	top: calc(50% - 150px);
	left: calc(50% - 150px);
	width: 300px;
	height: 300px;
	opacity: 0;
  }
  100% {
	top: 50%;
	left: 50%;
    width: 0px;
	height: 0px;
	opacity: 0;
  }
}

@keyframes flip {
	0% {
		transform: rotateY(0deg);
	}

	50% {
		transform: rotateY(180deg);
	}
	
	100% {
		transform: rotateY(0deg);
	}
}

@font-face {
    font-family: 'CherryTree';
    src: url('assets/fonts/CherryTree.eot');
    src: url('assets/fonts/CherryTree?#iefix') format('embedded-opentype'),
         url('assets/fonts/CherryTree.woff') format('woff'),
         url('assets/fonts/CherryTree.ttf') format('truetype'),
         url('assets/fonts/CherryTree.svg#Glyphter') format('svg');
    font-weight: normal;
    font-style: normal;
}
[class^='icon-']:before{
	display: inline-block;
   font-family: 'CherryTree';
   font-style: normal;
   font-weight: normal;
   line-height: 1;
   -webkit-font-smoothing: antialiased;
   -moz-osx-font-smoothing: grayscale
}
.icon-noun_17071.svg:before{content:'\0041';}

html, body {
	height: 100%;
}

body{
	font-family: "Roboto", sans-serif;
	margin: 0;
	padding: 0;
	overflow:hidden;
	overflow-y: scroll;
}

a {
	text-decoration: none;
	color: inherit;
	cursor: pointer;
}

.center-vertical {
	position: relative;
	top: 50%;
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
}

.views {
	height: 100%;
}

.page {
	transition: 1s all;
	position: relative;
	height: 100%;
}

	.page.ng-enter {
		left: 100%;
	}
	
	.page.ng-enter.ng-enter-active {
		left: 0%;
	}
	
.header {
	width: 94%;
	background-color: #EC008C;
	color: white;
	padding: 10px 3%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 2;
}

.header .nameplate {
	margin-left: -3%;
	width: 100%;
	position: absolute;
	z-index: -1;
	text-align: center;
	font-weight: 100;
}

.header .back, .header .info {
	float: left;
	font-size: 14pt;
    margin-top: 0px;
	z-index: 2;
}

.header .back {
	padding:right: 20px;
}

.header .info {
	float: right;
	padding-left: 20px;
}

.logo {
	background-image: url("https://s3.amazonaws.com/the-atlantic/assets/logo-gray.svg");
  	background-size: contain;
	margin: 0 auto 5px;
}


/* Intro section */

.intro {
	height: 100%;
}

.intro .center-container {
	text-align: center;
	margin-top:-20px;
}

.intro .title {
	font-family: Roboto, sans-serif;
	font-size: 30pt;
	font-weight: 100;
	text-align: center;
	display: inline-block;
	position: relative;
}

	.intro .title:after {
		content: " ";
		position: absolute;
		left: 0px;
		bottom: 0px;
		width: 100%;
		height: 8px;
		background-color: #EC008C;
		z-index: -1;
	}

.intro .tree-container {
	position: relative;
}

.intro .tree {
	font-family: CherryTree, sans-serif;
	font-size: 250px;
	color: #333;
	text-align: center;
	z-index: 2;
	position: relative;
	left: -10px;
}

.intro .expanding-circle, .intro .smaller-expanding-circle {
	background-color: #EC008C;
	position: absolute;
	border-radius: 50%;
	animation: expanding_circle 3s infinite;
	animation-timing-function:  ease-out;
	z-index: -1;
}

	.intro .smaller-expanding-circle {
		animation: smaller_expanding_circle 3s infinite;
	}
	
.intro .tap-text {
	text-align: center;
	margin: auto;
	width: 125px;
}

.intro .peak {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	text-align: center;
	font-size: 13pt;
	padding: 10px 0px;
	font-weight: 400;
	background-color: #EC008C;
	color: white;
}

/* Loading page */

.loading {
	
}

.loading ul.taskList {
	padding: 0;
	list-style: none;
}

.loading ul.taskList li {

	padding: 10px 7px;
	color: white;
	background-color: #EC008C;
	transition: all 1s;
	position: relative;
	display: block;
	text-align: center;
	font-size: 14pt;
}

.loading ul.taskList li.ng-enter {
	top: 100px;
	opacity: 0;
	max-height:0px;
}

.loading ul.taskList li.ng-enter.ng-enter-active {
		top: 1px;
		opacity: 1;
		max-height: 200px;
	}

.loading .trees {
	text-align: center;
}

.loading .treeContainer {
	perspective: 1000;
	-webkit-perspective: 1000;
	margin-right: 15px;
	display: inline-block;
}


.loading .treeContainer, .loading .front, .loading .back {
	width: 75px;
	height: 75px;
}

	.loading .treeContainer:last-child {
		margin-right: 0px;
	}

.loading .tree {
	transition: 1s;
	transform-style: preserve-3d;
	-webkit-transform-style: preserve-3d;
	position: relative;
	animation: 3s flip infinite;
}

.loading .front, .loading .back {
	backface-visibility: hidden;
	-webkit-backface-visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
	font-family: 'CherryTree';
	font-size: 40pt;
	border-radius: 50%;
	line-height: 75px;
}

.loading .front {
	z-index: 2;
	transform: rotateY(0deg);
	-webkit-transform: rotateY(0deg);
	border: 4px solid #EC008C;
	color: #EC008C;
}

.loading .back {
	transform: rotateY(180deg);
	-webkit-transform: rotateY(180deg);
	color: white;
	background-color: #EC008C;
}

.loading .symbol {
	text-align: center;
	position: relative;
	left: -2px;
}

/* List section */


.list ul.results {
	list-style: none;
	padding: 0 0 40px 0;
	margin: 42px 0 0;
	overflow: scroll;
}

.list li {
	margin: 0px;
	border-bottom: 1px solid #EC008C;
	padding: 20px;
}

	.list li:nth-child(2n - 1){
		background-color: rgba(236,0,140,.05);
	}

.list .icon {
	width: 30px;
	height: 30px;
	border-radius: 50%;
	font-family: "CherryTree";
	line-height: 30px;
    text-align: center;
    border: 1px solid #EC008C;
    display: inline-block;
	margin-right: 10px;
    margin-top: -13px;
    position: relative;
    top: 6px;
	float: left;
}

	.list .icon.white {
		color: white;
		background-color: #EC008C;
	}

	.list .icon.pink {
		background-color: white;
		color: #EC008C;
	}

.list .name {
	float: left;
	font-weight: bold;
}

.list .distance {
	float: right;
}

/* Shared map and list section */


.list .footer, .map .footer, .tree .footer {
	position: fixed;
	bottom: 0px;
	left: 0px;
	width: 100%;
}

.list .footerItem, .map .footerItem {
	float: left;
	text-align: center;
	width: 50%;
	padding: 15px 0px;
	color: #EC008C;
	font-weight: bold;
	border-top: 1px solid #EC008C;
	background-color: white;
}

.list .footerItem.selected, .map .footerItem.selected {
	background-color: #EC008C;
	color: white;
}

/* Map section */
.map {
	
}



#mapContainer {
	width: 100%;
	height: calc(100% - 50px);
}

.treeFont {
	font-family: "CherryTree" !important;
}

/* Tree section */
.tree {
	color: #333;
}

.tree .content {
	padding: 30px 3% 0px;
	margin-top:20px;
}

.tree .title {

	font-size: 25pt;
	font-weight: bold;
	margin-bottom: 5px;
}

.tree .address {
	color: #999;
	font-size: 12pt;
	text-transform: uppercase;
}

.tree #mapContainer {
	width: 100%;
	height: 200px;
	margin: 10px 0px 20px;
}

.tree .stats {
	width: 94%;
	margin: 20px auto;
}

.tree td:first-child {
	font-weight: bold;
}

.tree .notes, .tree .picture {
	width: 94%;
	margin: 10px auto;
}

.tree .label {
	font-size: 10pt;
	color: #999;
	margin-bottom: 5px;
}

.tree .notes .text {
	background-color: rgba(236,0,140, .4);
	color: #333;
	padding: 5px
}

.tree .picture {
	max-width: 500px;
	padding-bottom: 50px;
}

.tree .picture img {
	width: 100%;
}

.tree .footer {
	background-color: #EC008C;
	color: white;
	padding: 10px 0px;
	text-align: center;
	font-weight: bold;
}

/* Info page */
.info {
	
}

.info a {
	text-decoration: underline;
}

.info .text {
	padding: 10px 3%;
	margin-top: 30px;
	font-size: 14pt;
}